# $Revision: 1.11 $, $Date: 2005/07/08 18:06:22 $
#
# Conditional build:
%bcond_with	mit	# build with Kerberos V5 from MIT
%bcond_with	parser	# build with krb5.conf parser
#
%define		ver	1.3-rc7
%define 	modulename pam_krb5
Summary:	Kerberos V5 Pluggable Authentication Module
Summary(pl):	Modu PAM do uwierzytelniania z uyciem Kerberos V5
Name:		pam-%{modulename}
Version:	%(echo %{ver} | tr -d - )
Release:	3
Epoch:		1
Vendor:		Balazs Gal <balsa@rit.bme.hu>
License:	LGPL
Group:		Base
Source0:	http://dl.sourceforge.net/pam-krb5/%{modulename}-%{ver}.tar.gz
# Source0-md5:	2c7c8974604e5c325bb2e62d0066cdce
Patch0:		%{name}-paths.patch
BuildRequires:	automake
%{?with_parser:BuildRequires:	byacc}
%{?with_parser:BuildRequires:	flex}
%{!?with_mit:BuildRequires:	heimdal-devel >= 0.7}
%{?with_mit:BuildRequires:	krb5-devel >= 1.3.1-0.1}
BuildRequires:	pam-devel
Obsoletes:	pam_krb5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/%{_lib}

%description
This is pam_krb5, a pluggable authentication module that can be used
with Linux-PAM and Kerberos V5. This module supports password checking,
ticket creation, and optional TGT verification and conversion to
Kerberos IV tickets if Kerberos V5 was built with support for Kerberos
IV.

%description -l pl
To jest pam_krb5, wymienny modu uwierzytelniania, ktry moe by
uyty z Linux-PAM i Kerberos V5. Modu ten wspiera zmienianie hase,
tworzenie biletw oraz opcjonaln weryfikacj i konwersj TGT do
biletw Kerberos IV, w przypadku gdy Kerberos V5 zosta zbudowany
ze wsparciem dla Kerberos IV.

%prep
%setup -q -n %{modulename}-%{ver}
%{!?with_mit:%patch0 -p1}

%build
cp -f /usr/share/automake/config.sub .
%configure \
	--with-krb5=%{_prefix} \
	%{?with_parser:--enable-confparser} \
	--enable-default-ccache-dir=/tmp \
	--with-pamdir=/%{_lib}/security

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f pam.d/Makefile*

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README README.heimdal ChangeLog ChangeLog.orig pam.d
%attr(755,root,root) %{_libdir}/security/pam_krb5.so

%{_mandir}/man5/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pam-pam_krb5.spec,v $
Revision 1.11  2005/07/08 18:06:22  arekm
- BR heimdal-devel >= 0.7

Revision 1.10  2004/11/04 13:10:53  paladine
- spaces->tabs
- cosmetics

Revision 1.9  2004/08/19 01:06:19  undefine
- release 2

Revision 1.8  2004/08/19 01:04:28  undefine
- specify pamdir

Revision 1.7  2004/08/19 00:53:25  undefine
- typo

Revision 1.6  2004/08/19 00:21:28  undefine
- copy config.sub

Revision 1.5  2004/07/29 22:02:37  qboosh
- fixed libdir

Revision 1.4  2003/11/28 09:38:33  qboosh
- Obsoletes for old name without macro

Revision 1.3  2003/11/25 15:37:06  siefca
- adapted def modulename style

Revision 1.2  2003/11/25 14:12:43  siefca
- naming fixes in setup sections

Revision 1.1  2003/11/25 13:54:54  siefca
- leaded common naming conventions for PAM module packages

Revision 1.7  2003/10/06 00:20:39  pius
- cosmetics

Revision 1.6  2003/10/05 19:53:36  pius
- added patch with heimdal specific paths fixes
- added bcond for krb5 built-in parser (it doesn't compile though)

Revision 1.5  2003/10/05 18:54:27  pius
- updated %%doc
- cosmetics

Revision 1.4  2003/10/05 18:42:53  pius
- updated to 1.3-rc7
- updated Source url
- fixed version handling

Revision 1.3  2003/10/05 18:21:08  pius
- added Epoch

Revision 1.2  2003/10/05 18:18:03  pius
- now using different sources; this is version of pam_krb5 originally based
  on Nalin Dahyabhai's pam_krb5-1.56 version, modified by Balazs Gal to work
  with heimdal as well; another advantage of this version is that it actually
  works
- added bcond_mit to build with MIT Kerberos5 (defaults to heimdal)
- s/byacc/bison/ for BuildRequires

Revision 1.1  2003/09/12 21:23:04  pius
- initial release 2.0.2-0.1
